(******************************************************************************)
(* computer (stack machine)                                                   *)
(* (C) 2010 Steffen Solyga <solyga@absinth.net>                               *)
(******************************************************************************)
DEFINITION MODULE Comp;

TYPE
  TValue = LONGINT;
  TIndex = CARDINAL;
  TOperation = (
    oNull,
    oWrt, oWrB, oNeg,
    oAdd, oSub, oMul, oDiv, oBus, oVid,
    oEql, oNeq, oLss, oLeq, oGtr, oGeq,
    oNot, oOr,  oAnd
  );

PROCEDURE Val( v: TValue );
PROCEDURE Sto( i: TIndex );
PROCEDURE Lod( i: TIndex );
PROCEDURE Opr( o: TOperation );

CONST
  vFalse = 0;
  vTrue  = 1;

END Comp.
